Class: Aws::Kinesis::Types::ShardFilter
- Inherits:
-
Struct
- Object
- Struct
- Aws::Kinesis::Types::ShardFilter
- Defined in:
- gems/aws-sdk-kinesis/lib/aws-sdk-kinesis/types.rb
Overview
The request parameter used to filter out the response of the
ListShards API.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#shard_id ⇒ String
The exclusive start
shardIDspeified in theShardFilterparameter. -
#timestamp ⇒ Time
The timestamps specified in the
ShardFilterparameter. -
#type ⇒ String
The shard type specified in the
ShardFilterparameter.
Instance Attribute Details
#shard_id ⇒ String
The exclusive start shardID speified in the ShardFilter
parameter. This property can only be used if the AFTER_SHARD_ID
shard type is specified.
2166 2167 2168 2169 2170 2171 2172 |
# File 'gems/aws-sdk-kinesis/lib/aws-sdk-kinesis/types.rb', line 2166 class ShardFilter < Struct.new( :type, :shard_id, :timestamp) SENSITIVE = [] include Aws::Structure end |
#timestamp ⇒ Time
The timestamps specified in the ShardFilter parameter. A timestamp
is a Unix epoch date with precision in milliseconds. For example,
2016-04-04T19:58:46.480-00:00 or 1459799926.480. This property can
only be used if FROM_TIMESTAMP or AT_TIMESTAMP shard types are
specified.
2166 2167 2168 2169 2170 2171 2172 |
# File 'gems/aws-sdk-kinesis/lib/aws-sdk-kinesis/types.rb', line 2166 class ShardFilter < Struct.new( :type, :shard_id, :timestamp) SENSITIVE = [] include Aws::Structure end |
#type ⇒ String
The shard type specified in the ShardFilter parameter. This is a
required property of the ShardFilter parameter.
You can specify the following valid values:
AFTER_SHARD_ID- the response includes all the shards, starting with the shard whose ID immediately follows theShardIdthat you provided.AT_TRIM_HORIZON- the response includes all the shards that were open atTRIM_HORIZON.FROM_TRIM_HORIZON- (default), the response includes all the shards within the retention period of the data stream (trim to tip).AT_LATEST- the response includes only the currently open shards of the data stream.AT_TIMESTAMP- the response includes all shards whose start timestamp is less than or equal to the given timestamp and end timestamp is greater than or equal to the given timestamp or still open.FROM_TIMESTAMP- the response incldues all closed shards whose end timestamp is greater than or equal to the given timestamp and also all open shards. Corrected toTRIM_HORIZONof the data stream ifFROM_TIMESTAMPis less than theTRIM_HORIZONvalue.
2166 2167 2168 2169 2170 2171 2172 |
# File 'gems/aws-sdk-kinesis/lib/aws-sdk-kinesis/types.rb', line 2166 class ShardFilter < Struct.new( :type, :shard_id, :timestamp) SENSITIVE = [] include Aws::Structure end |